BEGIN;
-- Verbesserung 1201 Schule/Lehrer ersetzt duch Allgemeinbildende Schule
-- und Berufliche Schule.

-- Deactivate the triggers
ALTER TABLE master_tbl DISABLE TRIGGER ALL;
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('2.0.3/01_zugang.sql', current_timestamp);


-- Insert new values
INSERT INTO zugang_tbl (id, value) VALUES (19, 'Allgemeinbildende Schule');
INSERT INTO zugang_tbl (id, value) VALUES (20, 'Berufliche Schule');

-- Mapping Schule/Lehrer -> Allgemeinbildende Schule
UPDATE master_tbl SET zugang = 19 WHERE zugang = 3;
UPDATE master_tbl SET zugang = 19 WHERE zugang = 4;

-- Remove not needed Values.
DELETE FROM zugang_tbl WHERE id = 3;
DELETE FROM zugang_tbl WHERE id = 4;


-- Reactivate the triggers
SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER ALL;

COMMIT;
