## -*- coding: utf-8 -*-

<fieldset class="${not c.show_verlaengerung and 'inactive' or ''}">
  <legend>${_('extension of the integration process')}<a target="_blank" href="${h.url(controller='annotations', action='help', id='verlaengerung')}"><img alt="${_('help icon')}" src="${h.url('/images/icons/form_help.png')}" border="0"></a></legend>
  % if c.show_verlaengerung:
    <strong>${_('First extension')}</strong>
    <table class="${c.num_verlaengerung >= 1 and 'inactive' or ''}"> 
      <tr>
        <td class="label">
          <label for="cm_datum_verlaengerung_1">
            ${_('Date of the first extension to')}</td>
          </label>
        <td class="field">
            % if c.num_verlaengerung >= 1:
            <input type="text" id="cm_datum_verlaengerung_1" name="cm_datum_verlaengerung_1" value="" readonly class="disabled">
            % else:
            <input type="text" id="cm_datum_verlaengerung_1" name="cm_datum_verlaengerung_1" value="">
            % endif
        </td>
        <td><form:error name="cm_datum_verlaengerung_1"/></td>
      </tr>
      <tr>
        <td class="label">
          <label for="cm_bestaet_verlaengerung_1">
            ${_('Written confirmation of the professional evaluation of the youth welfare office/school is there')}
          </label>
        </td>
        <td class="field">
          % if c.num_verlaengerung >= 1:
          <input type="checkbox" id="cm_bestaet_verlaengerung_1" name="cm_bestaet_verlaengerung_1" value="1" readonly class="disabled">
          % else:
          <input type="checkbox" id="cm_bestaet_verlaengerung_1" name="cm_bestaet_verlaengerung_1" value="1">
          % endif
        </td>
        <td><form:error name="cm_bestaet_verlaengerung_1"/></td>
      </tr>
      <tr>
        <td class="label">
          <label for="anmerkungen">
            ${_('Reason of the extension')}
          </label>
        </td>
        <td class="field">
          % if c.num_verlaengerung >= 1:
          <textarea name="cm_anmerk_verlaengerung_1" id="anmerkungen" rows="3" cols="80" onchange="setModification();" readonly class="disabled"></textarea>
          % else:
          <textarea name="cm_anmerk_verlaengerung_1" id="anmerkungen" rows="3" cols="80" onchange="setModification();"></textarea>
          % endif
        </td>
        <td><form:error name="cm_anmerk_verlaengerung_1"/></td>
      </tr>
    </table>
    % if c.num_verlaengerung > 0:
      <strong>${_('Second extension')}</strong>
      <table>
        <tr>
          <td class="label">
            <label for="cm_datum_verlaengerung_2">
              ${_('Date of the second extension to')}</td>
            </label>
          <td class="field">
              <input type="text" id="cm_datum_verlaengerung_2" name="cm_datum_verlaengerung_2" value=""> 
          </td>
          <td><form:error name="cm_datum_verlaengerung_2"/></td>
        </tr>
        <tr>
          <td class="label">
            <label for="cm_bestaet_verlaengerung_2">
              ${_('Written confirmation of the professional evaluation of the youth welfare office/school is there')}
            </label>
          </td>
          <td class="field">
            <input type="checkbox" id="cm_bestaet_verlaengerung_2" name="cm_bestaet_verlaengerung_2" value="1">
          </td>
          <td><form:error name="cm_bestaet_verlaengerung_2"/></td>
        </tr>
        <tr>
          <td class="label">
            <label for="anmerkungen_2">
              ${_('Reason of the extension')}
            </label>
          </td>
          <td class="field">
            <textarea class="" name="cm_anmerk_verlaengerung_2" id="anmerkungen_2" rows="3" cols="80" onchange="setModification();" ></textarea>
          </td>
          <td><form:error name="cm_anmerk_verlaengerung_2"/></td>
        </tr>
      </table>
    % endif
    <input type="submit" name="verlaengerung" value="${_('Execute')}" ${h.hasRole(['admin']) and 'disabled' or ''}>
  %else:
    % if c.wiederaufn_abg:
      ${_('An extension is not possible, because of a rejected reopening.')}
    % elif c.num_wiederaufnahme >= 1:
      ${_('An extension of the case is not possible, because of a already done reopening!')}
    % elif c.num_verlaengerung > 1:
      ${_('The maximal number of extensions was reached!')} 
    % else:
      ${_('An extension is not possible, because the case is in phase B.')}
    % endif
  %endif
</fieldset>
