## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%def name="buildNavipath()">
		${parent.buildNavipath()}
		<li><a href="${h.url(controller='case', action='index')}">${_('Case Management')}</a></li>
		<li><a href="${h.url(controller='case', action='index')}">${_('Create new case')}</a></li>
</%def>
<div class="waska_form">
<h1>${_('Reopening after successful reintegration')}</h1>
<form id="waska_form" action="${h.url(controller='case', action='wiederaufnahmeAction')}" accept-charset="UTF-8" name="waska_form" method="POST">
<fieldset>
  <legend>${_('Data of the closing of the support')} </legend>
  <table>
    <tr>
      <td class="label">
        <label for="cm_dok_datum_beendigung">${_('Date of the closing')}</label>
      </td>
      <td class="field">
        <input type="text" 
               size="10" 
               maxlength="10" 
               name="cm_dok_datum_beendigung" 
               id="cm_dok_datum_beendigung"  
               onchange="setModification();">
      </td>
      <td><form:error name="cm_dok_datum_beendigung"></td>
    </tr>
    <tr>
      <td class="label">
        <label for="cm_dok_end_art">${_('In which school type was the reintegration?')}</label>
      </td>
      <td class="field">
        <select size="1"
                name="cm_dok_end_art" 
                id="cm_dok_end_art" 
                onchange="setModification();">
          <option value="-1" selected>${_('Not specified')}</option>
          <option value="1">${_('Successful reintegration into school')}</option>
          <option value="4">${_('Successful reintegration into professional school')}</option>
        </select>
      </td>
      <td><form:error name="cm_dok_end_art"></td>
    </tr>
    <tr>
      <td class="label">
        <label for="cm_dok_end_verm">${_('Whereto was the reintegration?')}</label>
      </td>
      <td class="field">
        <select size="1"
                name="cm_dok_end_verm" 
                id="cm_dok_end_verm" 
                onchange="setModification();">
          <option value="-1" selected>${_('Not specified')}</option>
          <option value="-3">${_('Unknown')}</option>
          <option value="-2">${_('Other')}</option>
          <option value="1">${_('Origin class')}</option>
          <option value="2">${_('Same school, new class')}</option>
          <option value="3">${_('Other school')}</option>
        </select>
      </td>
      <td><form:error name="cm_dok_end_verm"></td>
    </tr>
    <tr>
      <td class="label">
        <label for="cm2c_t">${_('Reason for the reopening')}</label>
      </td>
      <td class="field">
        <textarea onchange="setModification();" rows="2" id="cm2c_t" name="cm2c_t" class=""></textarea>
      </td>
      <td><form:error name="cm2c_t"></td>
    </tr>
  </table>
</fieldset>
<br>
<fieldset>
  <legend>${_('Reopening of the youth case for 3 month')}</legend>
  <table>
    <tr>
      <td class="label">
        <label for="cm_wiederauf_genehm_datum_1">${_('Reopening accepted from')}</label>
      </td>
      <td class="field">
        <input type="text" 
               size="10" 
               maxlength="10" 
               name="cm_wiederauf_genehm_datum_1" 
               id="cm_wiederauf_genehm_datum_1"  
               onchange="setModification();">
      </td>
      <td><form:error name="cm_wiederauf_genehm_datum_1"></td>
    </tr>
    <tr>
      <td class="label">
        <label for="cm_wiederauf_datum_bis_1">${_('Reopening accepted to')}</label>
      </td>
      <td class="field">
        <input type="text" 
               size="10" 
               maxlength="10" 
               name="cm_wiederauf_datum_bis_1" 
               id="cm_wiederauf_datum_bis_1"  
               onchange="setModification();">
      </td>
      <td><form:error name="cm_wiederauf_datum_bis_1"></td>
    </tr>
  </table>
</fieldset>
<br>
<input type="submit" value="${_('Create case document')}">
</form>
</div>
