<%!  import mpulsweb.lib.helper.filters as F %>
<h2>${_('Information about personal')}</h2>
<table>
  <tr>
    <td class="label table_header_v table_width_long">${_('Forename')}</td>
    <td class="table_row_v table_description">${c.uo.first_name | F.NA}</td>
  </tr>
  <tr>
    <td class="label">${_('Name')}</td>
    <td class="table_row_v_2">${c.uo.last_name | F.NA}</td>
  </tr>
  <tr>
    <td class="label table_header_v">${_('Phone')}</td>
    <td class="table_row_v">${c.uo.telephone | F.NA}</td>
  </tr>
  <tr>
    <td class="label">${_('Roomnumber')}</td>
    <td class="table_row_v_2">${c.uo.room | F.NA}</td>
  </tr>
  <tr>
    <td class="label table_header_v">${_('Institution')}</td>
    <td class="table_row_v">${c.uo.branchoffice | F.NA}</td>
  </tr>
  % if g.mpuls_config.is_enabled('case-module', 'organisation'):
  <tr>
    <td class="label">${_('Replace')}</td>
    <td class="table_row_v_2">${c.vuo.name | F.NA}</td>
  </tr>
  % endif
  % if g.mpuls_config.is_enabled('module', 'agency-overview'):
  <tr>
    <td class="label table_header_v">${_('Visibility')}</td>
    <td class="table_row_v">${", ".join(agency.name for agency in c.agency_list if agency.id in c.uo.linked_fkz)}</td>
  </tr>
  % endif
</table>
<h2>${_('Login settings')}</h2>
<table>
  <tr>
    <td class="label table_header_v table_width_long">${_('Login')}</td>
    <td class="table_row_v table_description">${c.uo.getLogin()}</td>
  </tr>
  <tr>
    <td class="label">${_('Role')}</td>
    <td class="table_row_v_2">${c.uo.getRole()}</td>
  </tr>
  % if h.hasRole(['admin']):
  <tr>
    <td class="label table_header_v table_width_mid_l">${_('Activated')}</td>
    <td class="table_row_v">
      % if c.uo.isActivated():
        ${_('Yes')}
      % else:
        ${_('No')}
      % endif
    </td>
  </tr>
  <tr>
    <td class="label table_width_long">${_('Ask for new password at login')}</td>
    <td class="table_row_v_2">
      % if c.uo.needsNewPass():
        ${_('Yes')}
      % else:
        ${_('No')}
      % endif
    </td>
  </tr>
  % endif
</table>
