## -*- coding: utf-8 -*- 
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='index')}">${_('Case Management')}</a></li>
  <li>${_('Set standin')}</li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
${_('Organisation')}
  </div>
</div>
<h2>${_('Standin')}</h2>
<p>${_('Please choose a new standin for following cases')}.<br>
${_('Attention: Existing rules will be overwritten.')}
</p>
<ul>
% for case in c.case_list:
  % if case.getEditor().id == c.current_user.id or c.current_user.isAdmin():
    <li>${case.last_name | F.NA}, ${case.first_name | F.NA}</li>
  % else:
    <li class="organisation_not_editor">${case.last_name}, ${case.first_name} (${_('Not editor of the case - standin not changed!')})</li>
  % endif 
% endfor
</ul>
<p><strong>${_('attention')}!</strong> ${_('The existing rules were overwritten')}.</p>
% if (h.hasRole(['admin'])) or True: 
<form action="${h.url(controller="case_bundle", action="set_standin")}" method="POST">
<table>
  <tr>
    <th class="table_header_h table_checkbox"></th>
    <th class="table_header_h table_description">${_('Editor')}</th>
  </tr>
  <% idset = True %>
  % for group in c.group_list:
    <tr>
    % if idset:
       <td><input type="checkbox" name="standin" value="${group.id}"></td>
       <td>${group.name | F.NA}</td>
    % else:
       <td class="table_row_v_12"><input type="checkbox" name="standin" value="${group.id}"></td>
       <td class="table_row_v_12">${group.name}</td>
    % endif
    </tr>
    <% idset = not idset %>
  % endfor
  % if len(c.group_list) <= 0:
    <tr>
      <td colspan="2">
        ${_('No data found.')}
      </td>
    </tr>
  % endif

</table>
<input type="submit" value="${_('Change Standin')}">
</form>
% endif
