## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>

<%def name="buildNavipath()">
		${parent.buildNavipath()}
	<li><a href="${h.url(controller='document', action='globalOverview')}">${_('Document overview')}</a></li>
</%def>
<div id="content_header_small">
  <div id="content_ueberschrift">
${_('Document overview')}
  </div>
% if h.hasRole(['admin']):
  <div id="modusfield">
    <div class="actions">
        <ul>
            <li><a href="${h.url(controller='document', action='globalUpload')}"> ${_('Add new document')}</a></li>
        </ul>
    </div>

  </div>
% endif
</div>

<table class="hovertable">
  <tr>
    <th class="table_header_h table_width_filename">
      ${_('Filename')}
    </th>
    <th class="table_header_h table_date">
      ${_('Inserted at')}
    </th>
    <th class="table_header_h number_field table_date">
      ${_('Filesize')}
    </th>
    <th class="table_header_h actions">
      ${_('Actions')}
    </th>
  </tr>
  <% idset = 0 %>
% if len(c.files) > 0:
  <% kb = lambda x: h.format_number(x * 1.0/1024.0) %>
  % for num, f in enumerate(c.files):
  <tr class="${num%2 and 'hl' or ''}">
    <td>
        <a href="${h.url(controller='document', action='globalShow', id=f.id, url=f.getName())}"
           target="_blank"
           >${ F.shorten(f.getName(),60) }
        </a>
        % if g.mpuls_config.is_enabled("module", "documents-description"):
          <div class="description">${f.description}</div>
        % endif
    </td>
    <td class="number field">
    	${h.NA(h.format_date(f.insert_date))}
    </td>
    <td class="number_field">
        ${kb(f.size)} KB
    </td>
    <td class="actions">
        <a href="${h.url(controller='document', action='globalShow', id=f.id, url=f.getName())}" 
           target="_blank"
           ><img src="${h.url('/images/icons/open_active_22.png')}" border="0" alt="${_('Show')}" 
                 title="${_('Show')}" title="${_('Show')}">
        </a>
        % if h.hasRole(['admin']):
	  <a href="${h.url(controller='document', action='globalRename', id=f.id)}"
             ><img src="${h.url('/images/icons/edit_22.png')}" border="0" 
                   alt="${_('Rename')}" title="${_('Rename')}">
          </a>
          <a href="${h.url(controller='document', action='globalDelete', id=f.id)}"
             ><img src="${h.url('/images/icons/delete_active_22.png')}" border="0" 
                   alt="${_('Delete')}" title="${_('Delete')}">
          </a>
        % endif
    </td>
  </tr>
  % endfor
% else:
  <tr>
    <td colspan="4">
      ${_('No files found')}
    </td>
  </tr>
% endif
</table>
