<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="showAppointmentActions(appointment)">
  <a href="${h.url(controller='appointment', action='show', id=appointment.id)}">
    <img src="${h.url('/images/icons/open_active_22.png')}" border="0" 
         alt="${_('Show')}" 
         title="${_('Show')}"></a>
</%def>

<table class="appointment">
  <tr>
    <th class="date table_header_h">${_('Date')}</th>
    <th class="title table_header_h">${_('Description')}</th>
    <th class="action table_header_h">${_('Actions')}</th>
  </tr>
  % for appointment in c.globalappointmentlist.getDatasets():
  <tr>
    <td class="date">${h.format_date(appointment.getStartDate())}</td>
    <td class="title">${appointment.title | F.NA}</td>
    <td class="action">
     ${self.showAppointmentActions(appointment)}
    </td>
  </tr>
  <tr>
    <% description = F.shorten(appointment.description, 120) %>
    <td colspan="3" class="description">${description | F.NA}</td>
  </tr>
  % endfor
  % if len(c.globalappointmentlist.getDatasets()) <= 0:
  <tr>
    <td colspan="3">${_('No event found')}</td>
  </tr>
  % endif
</table>
