## -*- coding: utf-8 -*-
<%! import mpulsweb.lib.helper.filters as F %>
<%inherit file="../main.mako" />
<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('Black Board')}
  </div>
</div>
% if (h.getLogin() == 'adm'): 
  <div id="adm_beta">
    <p>${_('You reside in the central administration')}</p><br>
    <p>${_('Under the menu item "User" you can')}.</p>
    <ul>
      <li>${_('Create new user')}</li>
      <li>${_('Organise already existing user')}</li>
    </ul>
    <p>${_('Under the menu item "Agency" you can')}:</p>
    <ul>
      <li>${_('Configure the name and other settings of the agency')}</li>
      <li>${_('Activate the transmission of anonymised cases')}</li>
    </ul>
  </div>
% else:
  ## NEWS 
  % if g.mpuls_config.is_enabled('module', 'news'):
    % if c.news.getList():
      <div class="news">
        <h2>${_('Current information')}</h2>
        <%include file="/news/newslist.mako"/>
      </div>
    % endif
  % endif
  ## CUSTOM CONTENT ON BLACKBOARD
  <%include file="/home/customcontent.mako"/>
  ## JOBPERCENTAGE
  % if g.mpuls_config.is_enabled('job_percentage', 'enabled') and h.hasRole(['admin']):
    % if c.percentage_value < c.threshold_higher:
    <div class="dialog">
      <h2><img src="${h.url('/images/icons/info/alert.png')}" alt="${_('attention')}"/>Fallschlüssel</h2>
      <p>
      % if c.percentage_value <= c.threshold_lower:
        Ihr berechneter Fallschlüssel ist ${h.format_number(c.percentage_value)} und befindet sich im
        <u>kritischen</u> Bereich. Vorgabe ist ein Wert von 1:${c.threshold_higher} bzw. ein reduzierter
        Wert, wenn Sie im ländlichen Gebiet arbeiten.
      % elif c.percentage_value < c.threshold_higher:
        Ihr berechneter Fallschlüssel ist
        ${h.format_number(c.percentage_value)} und ist zu niedrig. Vorgabe ist
        ein Wert von 1:${c.threshold_higher} bzw. ein reduzierter Wert, wenn
        Sie im ländlichen Gebiet arbeiten.
      % endif
      </p>
      <p>Die Berechnung erfolgt <i>tagesaktuell</i> auf Basis der Fallakten,
      die sich im laufenden Case Management bzw. in der laufenden Beratung
      befinden.</p>
    </div>
    % endif
  % endif
  ## APPOINTMENTS
  ## Reminders
  % if g.mpuls_config.is_enabled('case-module', 'reminders'):
    <h2>${_('Reminders')}</h2>
    <%include file="/home/remindlist.mako"/>
  % endif 
  ## Case 
  % if g.mpuls_config.is_enabled('case-module', 'appointments') and h.hasRole(['cm']):
    <h2>${_('Own appointments')}</h2>
    <%include file="/home/caseappointmentlist.mako"/>
  % endif
  ## Global
  % if g.mpuls_config.is_enabled('module', 'appointments'):
    <h2>${_('Agency-wide appointments')}</h2>
    <%include file="/home/globalappointmentlist.mako"/>
  % endif
% endif
