<%inherit file="/casemanagement/main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='logbook', action='index', id=session.get('case').id)}">${_('Logbook')}</a></li>
  <li><a href="#"></a>${_('Logbook entry')}</a></li>
</%def>
<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('Logbook entry')}   
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        % if h.hasRole(['cm']) and c.entry.getKindAsInt() != 0 and session.get('case').getState().getState() == 1:
        <li>
          <a href="${h.url(controller='logbook', action='edit', id=c.entry.id)}">
            ${_('Edit entry')}
          </a>
        </li>
        % endif
        <li>
          <a href="${h.url(controller='logbook', action='index', id=session.get('case').id)}">${_('Back to: Logbook')}</a>
        </li>
      </ul>
    </div>
  </div>
</div>
<table>
    <tbody>
        <tr>
            <td class="label table_header_v table_width_long">Datum</td>
            <td class="table_row_v">${c.entry.getDate()} ${c.entry.getTime()}</td>
        </tr>
        <tr>
            <td class="label">${_('Editor')}</td>
            <td class="table_row_v_2">${c.entry.getEditor()}</td>
        </tr>
        <tr>
            <td class="label table_header_v">${_('Type')}</td>
            <td class="table_row_v">${c.entry.getKind()}</td>
        </tr>
        <tr>
            <td class="label">${_('Duration in minutes')}</td>
            <td class="table_row_v_2">${c.entry.getDuration('-/-')}</td>
        </tr>
        <tr>
            <td class="label table_header_v">${_('Note')}</td>
            <% description = F.nl_to_br(h.escape(F.NA(c.entry.notiz))) %>
            <td class="table_row_v">${description}</td>
        </tr>
    </tbody>
</table>
