SET ROLE :adm_ka_owner;
BEGIN;

-- Create a default (not very performant) evaluation view.
CREATE OR REPLACE VIEW master_tbl_eval_total_view
   AS SELECT m.*
   FROM master_tbl_view m JOIN ka_status_tbl s
   ON m.id = s.master_id
   WHERE s.status <> 3
   AND (m.bearbeiter_id = (getuserid())::integer)
   OR pg_has_role('admin','MEMBER');

GRANT SELECT ON master_tbl_eval_total_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_eval_total_view TO GROUP :admin_group;
COMMIT;
