# -*- coding: utf-8 -*-
#
# (c) 2009 by Intevation GmbH
# This is Free software under the GPLv3.
# See LICENSE comming with the source of 'mpuls'
# for details.
#
# author: Sascha Teichmann <sascha.teichmann@intevation.de>

from setuptools import setup

setup(name="libformed",
      version="0.5.14",
      author="Sascha Teichmann, Bernhard Herzog",
      author_email="mpuls@intevation.de",
      packages=['formed',
                'formed.export',
                'formed.instance',
                'formed.instance.backends',
                'formed.meta',
                'formed.meta.io',
                'formed.renderer',
                'formed.util'],
      message_extractors = {'formed': [('**.py', 'python', None)]})

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
