BEGIN;
-- Setzt neue Pflichtfelder für Fallakten mit höheren Phasen auf einen
-- Wert.
-- Issue 2303

-- deactivate set_lastaccess_time and set role
CREATE OR REPLACE FUNCTION set_lastaccess_time( masterid integer )
RETURNS void AS ' ' LANGUAGE SQL;
SET ROLE :db_adm;

UPDATE master_tbl SET beschul_i = 0 WHERE beschul_i = -1 AND phase > 1;
UPDATE master_tbl SET beschul_end_g = 0 WHERE beschul_end_g = -1 AND phase > 1;

-- Reactivate the old role
SET ROLE postgres;

-- Reactivate set_last_access_time
CREATE OR REPLACE FUNCTION set_lastaccess_time( masterid integer )
RETURNS void AS
$$
BEGIN
    UPDATE ka_status_tbl_view set zugriff = now() WHERE master_id = masterid;
END;
$$ LANGUAGE plpgsql VOLATILE;

COMMIT;
