# -*- coding: utf-8 -*-
import logging

from pylons import tmpl_context as c, app_globals as g

from waskoweb.model.agencysettings import Agency

from mpulsweb.controllers.settings import SettingsController

log = logging.getLogger(__name__)


class SettingsController(SettingsController):
    """
    Overwrite the Settings controller to use the wasko agency-settings model
    in c.agency, all the logic is copy/pasted
    """

    def _get_agency(self):
        return Agency()

