## -*- coding: utf-8 -*-

<fieldset class="${not c.show_neuaufnahme and 'inactive' or ''}">
  <legend>${_('New subsription after other ending')}<a target="_blank" href="${h.url(controller='annotations', action='help', id='neuaufnahme')}"><img alt="${_('help icon')}" src="${h.url('/images/icons/form_help.png')}" border="0"></a></legend>
  % if c.show_neuaufnahme:
    <table>
      <tr>
        <td class="label">
          <label for="cm_wiederauf_genehm_1">
            ${_('Status')}
          </label>
        </td>
        <td class="field">
          <select name="cm_neuauf_genehm">
              <option value="1">${_('New subscription accepted')}</option>
              <option value="0">${_('New subscription rejected')}</option>
          </select>
        </td>
        <td><form:error name="cm_neuauf_genehm"/></td>
      </tr>
      <tr>
        <td class="label">
          <label for="anmerkungen_1">
            ${_('Reason of the new subscription')}
          </label>
        </td>
        <td class="field">
          <textarea class="" name="cm2c_t" id="anmerkungen_1" rows="3" cols="80"  onchange="setModification();"></textarea>
        </td>
        <td><form:error name="cm2c_t"/></td>
      </tr>
    </table>
    <input type="submit" name="neuaufnahme" value="${_('Execute')}" ${h.hasRole(['admin']) and 'disabled' or ''}>
  %else:
    % if c.num_verlaengerung > 0:
      ${_('A new subscription is not possilbe, because of an existing extension.')} 
    % elif c.wiederaufn_abg:
      ${_('A new subscription is not possible, because of a rejected reopening.')}
    % elif c.cm_neuauf_genehm in (0,1):
      ${_('For this case a new subscription is already documented!')} 
    % elif c.num_wiederaufnahme >= 1:
      ${_('A new subscription is not possible, because a reopening has been already done.')}
    % elif not sonstige_beendigung:
      ${_('A new subscription is not possible, because the case has been closed with a other finish.')}
    % elif not c.is_anonymizable:
      ${_('A new subscription is not possible, because the case is not anonymised cause of missing fields.')}
    % else:
      ${_('A new subscription is not possible at the moment.')} 
    % endif
  %endif
</fieldset>
