## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%def name="buildNavipath()">
		${parent.buildNavipath()}
		<li><a href="${h.url(controller='case', action='index')}">${_('Case Management')}</a></li>
		<li><a href="${h.url(controller='case', action='index')}">${_('Create new case')}</a></li>
</%def>
<div class="waska_form">
<h1>${_('Reopening after successful reintegration')}</h1>
<form id="waska_form" action="${h.url(controller='case', action='neuaufnahmeAction')}" accept-charset="UTF-8" name="waska_form" method="POST">
<fieldset>
  <legend>${_('Data of the closing of the support')} </legend>
  <table>
    <tr>
      <td class="label"><label for="cm_dok_datum_beendigung">${_('Date of the closing')}</label></td>
      <td class="field">
        <input type="text" 
               size="10" 
               maxlength="10" 
               name="cm_dok_datum_beendigung" 
               id="cm_dok_datum_beendigung"  
               onchange="setModification();">
      </td>
      <td><form:error name="cm_dok_datum_beendigung"></td>
    </tr>
    <tr>
      <td class="label"><label for="cm_dok_end_sonst">${_('Reasons of other closing')}</label></td>
      <td class="field">
        <select id="cm_dok_end_sonst" 
                onchange="setModification();" 
                name="cm_dok_end_sonst" size="1">
          <option selected value="-1">${_('not specified')}</option>
          <option value="-3">${_('unknown')}</option>
          <option value="-2">${_('other')}</option>
          <option value="1">${_('relocation')}</option>
          <option value="2">${_('pregnancy')}</option>
          <option value="3">${_('illness / hospital stay / therapy')}</option>
          <option value="4">${_('exceeding the period of supporting')}</option>
          <option value="5">${_('arrest / prison')}</option>
          <option value="11">${_('Apprenticeship (dual professional education, as well as educational associations)')}</option>
          <option value="12">${_('Apprenticeship (school professional education)')}</option>
          <option value="13">${_('Apprenticeship (aided professional education, ...)')}</option>
          <option value="14">${_('Job')}</option>
          <option value="7">${_('Placement: professional preparation')}</option>
          <option value="8">${_('Placement: schoolform change')}</option>
          <option value="9">${_('Placement: in-patient/asylum/apartment-sharing community')}</option>
          <option value="10">${_('performance of compulsory education')}</option>
          <option value="6">${_('old entry "education, job"')}</option>
        </select> 
      </td>
      <td><form:error name="cm_dok_end_sonst"></td>
    </tr>
    <tr>
      <td class="label"><label for="cm2c_t">${_('Notice for the new subscription')}</label></td>
      <td class="field">
        <textarea onchange="setModification();" rows="2" id="cm2c_t" name="cm2c_t" class=""></textarea>
      </td>
      <td><form:error name="cm2c_t"></td>
    </tr>
  </table>
</fieldset>
<input type="submit" value="${_('Create case document')}">
</form>
</div>
