## -*- coding: utf-8 -*-
<%! import mpulsweb.lib.helper.filters as F %>
<%inherit file="../main.mako" />
<h1>${_('Default infopage')}</h1>
<div class="traeger">
  <div class="traeger_name">
    <h2>Kontakt</h2>
    <div class="traeger_name_text">
      <p><strong>
      ESF - Regiestelle des Bundesministeriums für Familie, Senioren, Frauen und Jugend (BMFSFJ)<br>
      Servicestelle Jugendsozialarbeit</strong>
      </p>
      <p>
        <h3>Fachlich-inhaltliches Fördermanagement:</h3>
        Büro Stiftung SPI, Schicklerstr. 5-7, 10179 Berlin<br>
        Telefon: + 49 (0) 30 - 390 634 - 70<br>
        Telefax: + 49 (0) 30 - 390 634 - 80<br>
        Email: <a href="mailto:jugendsozialarbeit@esf-regiestelle.eu">jugendsozialarbeit@esf-regiestelle.eu</a>
      </p>
      <p>
        <h3>Finanztechnisches Fördermanagement:</h3>
        Büro gsub - Gesellschaft für Soziale Unternehmensberatung mbH<br>
        Oranienburger Straße 65, 10117 Berlin<br>
        Telefon: (030) 284 09 - 180<br>
        Telefax: (030) 284 09 - 210<br>
        Email: <a href="mailto:jugendsozialarbeit@esf-regiestelle.eu">jugendsozialarbeit@esf-regiestelle.eu</a>
      </p>
      <p>
        <h3>ARGE ESF - Regiestelle GbR</h3>
        Gesellschafter:<br>
        Stiftung SPI - Sozialpädagogisches Institut Berlin – Walter May<br>
        Müllerstraße 74, 13349 Berlin<br>
        Rechtsfähige Stiftung des bürgerlichen Rechts. Sitz: Berlin<br>
        Vorstandsvorsitzender/Direktor: Hartmut Brocke<br>
        gsub - Gesellschaft für soziale Unternehmensberatung mbH<br>
        Oranienburger Straße 65, 10117 Berlin<br>
        Sitz Berlin - Handelsregister: Amtsgericht Charlottenburg – B-39610<br>
        Geschäftsführer: Dr. Reiner Aster
      </p>
    </div>
    <div class="traeger_name_img">
    </div>
  </div>
</div>
<div class="traeger">
  <div class="traeger_name">
    <h2>Entwicklung</h2>
    <div class="traeger_name_text">
    <p>
    <i>mpuls</i> WASKO wurde im Rahmen des Programms "Schulverweigerung - Die
    2. Chance" des Bundesministeriums für Familie, Senioren, Frauen und Jugend
    (BMFSFJ) auf der Basis von <i>mpuls</i> WASKA entwickelt.  <i>mpuls</i>
    WASKO wird in der Förderperiode (2008-2011) durch die ESF - Regiestelle als
    programmeinheitliche Software weiter betrieben und entwickelt.
    </p>
    </div>
    <div class="traeger_name_img">
    </div>
  </div>
</div>
<div class="traeger">
  <div class="traeger_name">
    <h2>Technische Umsetzung</h2>
    <div class="traeger_name_text">
    <p>
    Design und Implementation der Software durch die Intevation GmbH: Frank
    Koormann (Projektleitung), Sascha Teichmann und Torsten Irländer,
    unterstützt durch Bernhard Reiter, Benjamin Kirschner, Bernhard Herzog und
    Sascha Wilde. Unterstützung beim Datenbankkonzept durch <a href="http://www.dataintransit.com" target="_blank">data in transit</a> (Jutta Horstmann)
    </p>
    </div>
    <div class="traeger_name_img">
      <a href="http://www.intevation.de/" target="_blank">
        <img src="${h.url('/images/logos/logo_intevation.png')}" alt="Logo Intevation" width="90" height="41">
      </a>
    </div>
  </div>
</div>
<div class="traeger">
  <div class="traeger_name">
    <h2>Lizenz</h2>
    <div class="traeger_name_text">
      <p><i>mpuls</i> WASKO is free software: you can redistribute it and/or modify it under
      the terms of the GNU Affero General Public License as published by the
      Free Software Foundation, either version 3 of the License, or (at your
      option) any later version.</p>
    </div>
    <div class="traeger_name_img">
      <a href="http://www.gnu.org/licenses/agpl.html" target="_blank">
        <img src="${h.url('/images/logos/agplv3-155x51.png')}" alt="Logo GPL3" style="border:0">
      </a>
    </div>
  </div>
</div>
<div class="traeger">
  <div class="traeger_name">
    <h2>Hinweise zum Datenschutz</h2>
    <div class="traeger_name_text">
      <p>
        <i>mpuls</i> WASKO basiert auf der Anwendungung <i>mpuls</i> WASKA für
        das seit September 2008 das „Gutachten zur Zertifizierung der Anwendung
        ‚<i>mpuls</i> WASKO (Web-Applikationsserver für
        Koordinierungsstelleen)’ durch die Datenschutz cert GmbH vorliegt.
        Darin wird mpuls WASKA als „datenschutzrechtlich vorbildlich“
        eingestuft.
      </p>
    </div>
    <div class="traeger_name_img">
      <a href="http://ips.datenschutz-cert.de/bremen/" target="_blank">
        <img src="${h.url('/images/logos/datenschutz_nord.jpg')}" alt="Logo DS nord" style="border:0">
      </a>
    </div>
  </div>
</div>
<div class="traeger">
  <div class="traeger_name">
    <h2>Betrieb</h2>
    <div class="traeger_name_text">
      <p>
      Für den Betrieb von mpuls WASKO ist die Intevation GmbH zuständig.
      </p>
    </div>
    <div class="traeger_name_img">
        <a href="http://intevation.de">
          <img src="${h.url('/images/logos/logo_intevation.png')}" alt="Logo Intevation GmbH" style="border:0"></a>
    </div>
  </div>
</div>
<div class="traeger">
  <div class="traeger_name">
    <h2>Förderung</h2>
    <div class="traeger_name_text">
      <p>
        Das Programm "Schulverweigerung - Die 2. Chance" wird gefördert vom Bundesministerium
        für Familie, Senioren, Frauen und Jugend (BMFSFJ) aus Mitteln des
        Europäischen Sozialfonds (ESF).
      </p>
    </div>
    <div class="traeger_name_img">
      <a href="http://www.bmfsfj.de/" target="_blank">
        <img class="" title="Logo bmfsj" alt="Logo bmfsj" 
        src="${h.url('/images/logos/BMFSFJ_C_M_web.jpg')}" border="0" >
      </a>	
      <a href="http://www.esf-regiestelle.eu/content/index_ger.html" target="_blank">
        <img class="" title="Logo ESF Deutschland" alt="Logo ESF Deutschland"
        src="${h.url('/images/logos/logo__esf__klein.jpg')}" border="0" >
      </a>
      <a href="http://ec.europa.eu/employment_social/esf2000/index_de.html" target="_blank">
        <img class="" title="Logo europ&auml;ische union - europ&auml;ischer sozialfonds"
        alt="Logo europ&auml;ische union - europ&auml;ischer sozialfonds"
        src="${h.url('/images/logos/eu_logo_4c_pos_web2.jpg')}" border="0" >
      </a>
    </div>
  </div>
</div>
<div class="clearer"></div>
