## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%
  formular_labels = {'name'  : _('Usergroup name')
                      }
%>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
  <li><a href="${h.url(controller='administration', action='overviewUserGroups')}">${_('Usergroup overview')}</a></li>
  <li><a href="${h.url(controller='administration', action='newUserGroup')}">${_('Create new usergroup')}</a></li>
</%def>
<div id="content_header_small">
  <div id="content_ueberschrift">
 ${_('Create new usergroup')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li><a href="${h.url(controller='administration', action='overviewUserGroups')}"> ${_('Back to: Usergroup overview')}
            </a>
        </li>
      </ul>
    </div>
  </div>
</div>
${self.buildFormErrors(formular_labels)}
<div id="admin_new_user">
<div id="waska_form">
<form action="${h.url(controller='administration', action='newUserGroupAction')}" 
      method="POST">
  <fieldset><legend>${_('Information about usergroup')}</legend>
  <div class="w25">
  % if c.form_errors.get('name'):
    <label for="name" class="error_font">${_('Usergroup name')}</label><br>
      <input type="text" class="field error_box" id="name" name="name" maxlength="128">
  % else:
    <label for="name">${_('Usergroup name')}</label><br>
    <input type="text" class="field" id="name" name="name" maxlength="128">
  % endif
  </div>
</fieldset>
<input type="submit" value="${_('Save usergroup')}">
</form>
</div>
</div>
