## -*- coding: utf-8 -*-
<%inherit file="main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='casedocument', action='index', id=session.get('case').id)}">${_('Document overview')}</a></li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('Rename document')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
	<li>
          <a href="${h.url(controller='casedocument', action='index', id=session.get('case').id)}">
            ${_('Back to: user overview')}
          </a>
        </li>
      </ul>
    </div>
  </div>
</div>

<p class="import_p">
${h.form(h.url(controller="casedocument", action='renameAction', id= c.id), 
  multipart=True)}
<div class="widget container">
  <table class="form">
    <colgroup>
      <col width="20%">
      <col width="60%">
      <col width="20%">
    </colgroup>
    <tr>
      <td class="label">
        <label for="name">${_('Filename')}</label></td>
      <td class="">
        <input type="text" name="name" id="name" value="${c.name}"><br>
      </td>
      <td class=""><span class="error"><form:error name="name"></span></td>
    </tr>
    % if g.mpuls_config.is_enabled("module", "documents-description"):
    <tr>
	<td class="label">
        <label for="description">${_('Description')}</label></td>
      <td class="">
        <input type="text" name="description" id="description" style="width: auto;" value="${c.description}"><br>
      </td>
      <td class=""><span class="error"><form:error name="description"></span></td>
    </tr>
    % endif
    <tr>
      <td class=""></td>
      <td colspan="2">
        ${h.hidden('id', value=c.id)}
        ${h.hidden('case', value=session.get('case').id)}
        ${h.submit('upload', _('Submit'))}
      </td>
    </tr>
  </table>
</div>
${h.end_form()}
