## -*- coding: utf-8 -*-
<%inherit file="/casemanagement/main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='case', action='logbook', id=session.get('case').id)}">${_('Logbook')}</a></li>
  <li><a href="#"></a>${_('Entries')}</a></li>
</%def>
<div id="content_header_small">
  <div id="content_ueberschrift">
    Tagebuch - ${c.case.last_name}, ${c.case.first_name}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li>
          <a href="${h.url(controller='case', action='logbook', id=session.get('case').id)}">${_('Back to: Logbook')}</a>
        </li>
      </ul>
    </div>
  </div>
</div>
% for entry in c.logbook.getEntries():
  <table>
      <tbody>
          <tr>
              <td class="noborder label table_header_v table_width_long">${_('Date')}</td>
              <td class="noborder table_row_v">${entry.getDate()} ${entry.getTime()}</td>
          </tr>
          <tr>
              <td class="noborder label">${_('Editor')}</td>
              <td class="noborder table_row_v_2">${entry.getEditor()}</td>
          </tr>
          <tr>
              <td class="noborder label table_header_v">${_('Type')}</td>
              <td class="noborder table_row_v">${entry.getKind()}</td>
          </tr>
          <tr>
              <td class="noborder label">${_('Duration in minutes')}</td>
              <td class="noborder table_row_v_2">${entry.getDuration('-/-')}</td>
          </tr>
          <tr>
              <td class="noborder label table_header_v">${_('Note')}</td>
              <% description = F.nl_to_br(h.escape(F.NA(entry.notiz))) %>
              <td class="noborder table_row_v">${description}</td>
          </tr>
      </tbody>
  </table>
  <hr>
% endfor
